Work Time - Defect #1068
07/01/2012 12:33 AM - Tomohisa Kusukawa

Status: (00cClosedl Start date: 07/01/2012
Priority: 000Normalll Due date:

Assignee: Tomohisa Kusukawa % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.2.2

Description

GoogleCode 000000000000000000

0o0ooooooo

What version of the product are you using? On what operating system?
Worktime 0.1.2 on Redmine 1.2.1 hosted on a ubuntu server.

What is the expected output? What do you see instead?
When I try to set the completion percentage the popup window appears with error 500. This only hap
pens on closed tasks.

The trace on the log is:
Processing WorkTimeController#popup_update_done_ratio (for 192.168.0.144 at 2011-09-29 08:31:29) [
GET]

Parameters: {"month"=>"9", "issue_id"=>"63", "action"=>"popup_update_done_ratio", "id"=>"idxwide
", "day"=>"29", "year"=>"2011", "controller"=>"work_time", "user"=>"3"}

LocalJumpError (unexpected next):
vendor/plugins/redmine_work_time/app/controllers/work_time_controller.rb:190:in " popup_update_do
ne_ratio'
config/initializers/mongrel_cluster_with_rails_211_fix.rb:62:in “dispatch_cgi'

Rendering /opt/bitnami/apps/redmine/public/500.html (500 Internal Server Error)

Associated revisions

Revision 137:f7e5e0920b35 - 07/01/2012 12:48 AM - Tomohisa Kusukawa
fixes #1068 00000000000000000000000s500000000000000000000

Revision 139:b0b4b80ad16b - 07/01/2012 12:48 AM - Tomohisa Kusukawa
fixes #1068 00000000000000000000000s500000000000000000000

Revision 2¢7897b0 - 07/01/2012 12:48 AM - Tomohisa Kusukawa
fixes #1068 00000000000000000000000s500000000000000000000

Revision 249 - 07/15/2012 04:12 AM - T.Kusukawa

Version 0.2.2

fixes #1065 U0000000000000000000

fixes #1068 00000000000000000000000s00000000000000000000
fixes #1085 IENNONOOO00D0D0OOO00

History

#1 - 07/01/2012 12:35 AM - Tomohisa Kusukawa

- Description updated

#2 - 07/02/2012 11:11 PM - Tomohisa Kusukawa
- Status changed from 100 Assignedl to 10 Resolved]
- % Done changed from 0 to 100

0000 commit:f7e5e0920035 000000000
#3 - 07/15/2012 04:01 AM - Tomohisa Kusukawa
0000 commit:b0b4b8oad1eb 000000000

#4 - 07/15/2012 04:49 AM - Tomohisa Kusukawa
- Status changed from 100 Resolved] to 0010 Closedl

Ver0.1.9, Ver0.2.2000000

#5 - 02/27/2013 04:12 PM - su vene

- Target version set to 0.2.2
